import * as Models from "./models";


/**
 * API endpoints for Totp.
 */
export class Totp {
  private client: any;

  constructor(client: any) {
    this.client = client;
  }

  /**
   * Delete a TOTP device. Requires verification code if removing the
   * last/primary device.
   */
  async devicesDestroy(id: string): Promise<void> {
    const response = await this.client.request('DELETE', `/cfg/totp/devices/${id}/`);
    return;
  }

}